if exist Keegan.bat rename Keegan.bat Keegan.ai
cd memory
set /a num=%random% %%100 +1
if %num% gtr 96 goto ask
SET "FILENAME=%~dp0memory"
echo.

:start1
set /p input=))
set input=%input: =-%
set input=%input:?=%
set input=%input:,=%
set input=%input:.=%
set input=%input:!=%
set input=%input:'=%
set input=%input:/=%
if %input% ==update goto update
if %input% ==help goto help

:start
if exist %input%.bat (
call %input%.bat
) else (
cd..
call Learn.bat )

:help
cd..
call help.bat

:update
cd..
call Update.bat

:ask
echo New subject, what's your favorite color?
goto start1